#!/bin/bash

cd `dirname $0`
MYDIR=`pwd`
MYSCRIPT=`basename $0`
cd ../..
S2P_PATH_BASE=`pwd`
cd $MYDIR

S2P_OS_USERNAME=`$S2P_PATH_BASE/core/libexec/config_view.py system simple | grep ^os.username | cut -d= -f2`
if [[ `whoami` != "$S2P_OS_USERNAME" ]]; then
	exec sudo -u $S2P_OS_USERNAME ./$MYSCRIPT $@
fi

APPS_PATH_BASE=$S2P_PATH_BASE/apps
APPS_LIST=`ls -1 $APPS_PATH_BASE`

for APP in $APPS_LIST; do
	if [ -d $APPS_PATH_BASE/$APP ]; then

		DO_FLAGS=$APPS_PATH_BASE/$APP/bin/doflags.sh

		if [ -f $DO_FLAGS ]; then
			$DO_FLAGS $1 &> /dev/null
		fi
	fi
done
