<?php
	require_once('../../../phplibs/castiron.inc.php');
	require_once(CI_PATH_LIBS.'/session.inc.php');
	require_once(CI_PATH_LIBS.'/tables.inc.php');
	require_once(CI_PATH_LIBS.'/forms.inc.php');
	require_once(CI_PATH_LIBS.'/addressbook.inc.php');

	$fields_delimiters=array(
		','		=> ci_lbl('addressbook.import.fd-comma'),
		';'		=> ci_lbl('addressbook.import.fd-semicolon'),
		'TAB'	=> ci_lbl('addressbook.import.fd-tab'),
		'|'		=> ci_lbl('addressbook.import.fd-pipe')
	);

	$fields_enclosure=array(
		''					=> ci_lbl('addressbook.import.fe-none'),
		"singlequote"		=> ci_lbl('addressbook.import.fe-singlequote'),
		'doublequote'		=> ci_lbl('addressbook.import.fe-doublequote')
	);
	
	$fields=array(
		'base'	=> array(
			'fields'	=> array(
				'fields_delimiter'	=> array('type' => 'select', 'options' => $fields_delimiters),
				'fields_enclosure'	=> array('type' => 'select', 'options' => $fields_enclosure),
				'skip_first_line'		=> array('type' => 'yesno'),
				'overwrite_existing'	=> array('type' => 'yesno'),
				'delete_addressbook'	=> array('type' => 'yesno'),
				'archive'				=> array('type' => 'file')
			)
		)
	);

	$info['fields_delimiter']		= ',';
	$info['fields_enclosure']		= 'doublequote';
	$info['skip_first_line']		= 'true';
	$info['overwrite_existing']		= 'true';

	$form=new CI_FORMS('form');
	$form->set_values($info);
	$form->set_ajax(false);
	$form->set_action('addressbook/import/import.php');
	$form->set_fields($fields);
	$form->set_tabs_label_prefix('addressbook.import.tab-');
	$form->set_fields_label_prefix('addressbook.import.fld-');

	$form->buttons->add_stock_button('import');
?>
<script type="text/javascript">
	function on_button_event(id, task)
	{
		switch (task)
		{
			case 'import':
				$('form').do_submit();
				break;
		}
	}
</script>

<div class="title"><?php echo ci_lbl("addressbook.import.title") ?></div>
<div class="help"><?php echo ci_hlp("addressbook.import") ?></div>

<?php echo $form->get() ?>
