<?php
	class CI_BUTTONS
	{
		private $buttons;
		
		function CI_BUTTONS($id=NULL)
		{
			if (is_null($id)) $id=uniqid('buttons_');

			$this->id=$id;
			$this->buttons=array();
		}

		function add_button($button)
		{
			array_push($this->buttons, $button);
		}

		function add_stock_button($name)
		{
			global $CI_URI_BASE;
			$button=array(
				'name'	=> $name,
				'icon'	=> $CI_URI_BASE.'/icons/buttons/'.$name.'.png',
				'label'	=> ci_lbl('common.'.$name)
			);
			$this->add_button($button);
		}

		function get()
		{
			$out ='<div class="buttons" id="'.$this->id.'">';

			foreach ($this->buttons as $info)
			{
				$out.='<a class="buttons_icon" href="javascript:on_button_event(\''.$this->id.'\', \''.$info['name'].'\')">';
				$out.='<img class="buttons_image" src="'.$info['icon'].'" alt="'.$info['label'].'" />';
				$out.='<div class="buttons_text">'.$info['label'].'</div>';
				$out.='</a>';
			}
			
			$out.='</div>';

			return $out;
		}
	}
?>